# Uses of Interface
org.eclipse.e4.ui.model.application.ui.basic.MTrimmedWindow

Packages that use MTrimmedWindow
Package
Description
org.eclipse.e4.ui.model.application.ui.basic
Application programming interfaces describing the basic Eclipse 4 user interface model elements.
org.eclipse.e4.ui.workbench.modeling
Application programming interfaces describing the Eclipse 4 model services.

## Uses of MTrimmedWindow in org.eclipse.e4.ui.model.application.ui.basic

Methods in org.eclipse.e4.ui.model.application.ui.basic that return MTrimmedWindow
Modifier and Type
Method
Description
`MTrimmedWindow`
MBasicFactory.`createTrimmedWindow()`
Returns a new object of class 'Trimmed Window'.

## Uses of MTrimmedWindow in org.eclipse.e4.ui.workbench.modeling

Methods in org.eclipse.e4.ui.workbench.modeling with parameters of type MTrimmedWindow
Modifier and Type
Method
Description
`MTrimBar`
EModelService.`getTrim(MTrimmedWindow window, SideValue sv)`
Returns the window's MTrimBar for the specified side.